Update Resource
curl --request PUT \
--url https://apigw.bienport.com/api/resource/{resourceId}/update \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'OrganizationId: <organizationid>' \
--data '
{
"enabled": true,
"networkId": "<string>",
"organizationId": 123,
"resourceName": "<string>"
}
'import requests
url = "https://apigw.bienport.com/api/resource/{resourceId}/update"
payload = {
"enabled": True,
"networkId": "<string>",
"organizationId": 123,
"resourceName": "<string>"
}
headers = {
"Authorization": "<authorization>",
"OrganizationId": "<organizationid>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<authorization>',
OrganizationId: '<organizationid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
enabled: true,
networkId: '<string>',
organizationId: 123,
resourceName: '<string>'
})
};
fetch('https://apigw.bienport.com/api/resource/{resourceId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"disabledDate": "2023-11-07T05:31:56Z",
"enabled": true,
"networkId": "<string>",
"organizationId": 123,
"resourceName": "<string>"
}{
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}This response has no body data.{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}Update Resource
PUT
/
resource
/
{resourceId}
/
update
Update Resource
Path Parameters
resourceId
Body
application/json
updatePanelRequest
Update Panel Request Api Model
Was this page helpful?
⌘I